QGIS Application - Bug report #6291

python API provides removed blueBandName() for QgsRasterLayer (returning NULL)

2012-08-31 04:08 AM - Marco Lechner

Status: Closed

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:master Regression?:
Operating System: Easy fix?:
Pull Request or Patch supplied: Resolution:
Crashes QGIS or corrupls data:

No
No
fixed/implemented

Copied to github as #: 15589

Description

QgsRasterLayer('/myraster.tif',"raster") has .blueBandName() but no redBandName, greenBandName or grayBandName anymore.
blueBandName should be removed, because it is not available in RasterdataProvider class (anymore?).

Try thisin python:

from qgis.core import *
QgsApplication.setPrefixPath("/usr", True)
QgsApplication.initQgis()
QgsApplication.registerOgrDrivers()
layer = QgsRasterLayer('/myGeoTIFF.tif',"raster")
print dir(layer)
print layer.blueBandName()
print layer.redBandName() #crashes
for i in range(layer.bandCount()):

print layer.oandName(i)

Btw: | wonder when colorBandName() was removed from API

History

#1 - 2014-06-28 07:42 AM - Jiirgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#2 - 2015-12-13 04:16 AM - Médéric RIBREUX
- Resolution set to fixed/implemented

- % Done changed from 0 to 100

- Status changed from Open to Closed

Hello, bug triage...

in QGIS 2.13 master (and probably in earlier versions), there is no blueBandName method for QgsRasterLayer object anymore.

| am closing this bug.
